Remove items from wishlist
Remove one or more items from a wishlist for the authenticated user. Use product_ids to remove product-level items (variant_group_id is null) or variant_group_ids to remove variant-group-scoped items.
DELETE
/api/v1/{app_id}/wishlists/{id}/itemsAuthorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredUUID of the app
idstringrequiredUUID of the wishlist
Request body
requiredapplication/jsonItems to remove
product_idsstring[]variant_group_idsstring[]Responses
200
Items removed successfully
messagestring400
Invalid request
detailsstring[] | nullmessagestringsuccessboolean401
Unauthorized
detailsstring[] | nullmessagestringsuccessboolean404
Wishlist not found
detailsstring[] | nullmessagestringsuccessboolean500
Internal server error
detailsstring[] | nullmessagestringsuccessboolean